#!/bin/bash

source ../cascade-make/lib/cascade-lib.bash GEXT_STRUCTURED_AUDIO .. $*

if [ -z "$GEXT_STRUCTURED_AUDIO_DEVEL" ] ; then
  cd .. && source ./devel.bash
fi

for d in NODEJS ; do
    echo "    Running CASCADE-MAKE/$d.sh"

    ./CASCADE-MAKE/$d.sh $*

    if [ $? != 0 ] ; then
	echo "Error encountered running CASCADE-MAKE/$d.sh"
	exit 1
    fi
done
