#!/bin/bash

source ./setup.bash

if [ ! -d "$GEXT_STRUCTURED_AUDIO_INSTALLED/virtualenv-python3" ] ; then
    python3 -mvenv "$GEXT_STRUCTURED_AUDIO_INSTALLED/virtualenv-python3"
else
    echo "" >&2
    echo "!!!!" >&2
    echo "! VirtualEnv Python3 already exists: $GEXT_STRUCTURED_AUDIO_INSTALLED/virtualenv-python3" >&2
    echo "!!!!" >&2
    echo "" >&2
    echo "" >&2
fi

echo "****"
echo "* To activate this version of python, enter:" 
echo "*   source \"$GEXT_STRUCTURED_AUDIO_INSTALLED/virtualenv-python3/bin/activate\""
echo "*"
echo "* Then install the following Python module(s) with:"
echo "*   pip install pyannote"
echo "****"


